 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.WaterTargetEntity;
import com.huimv.management.service.WaterTargetService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 饮用水指标
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Api(tags = "饮用水指标")
@RestController
@RequestMapping("management/watertarget")
public class WaterTargetController {
    @Autowired
    private WaterTargetService waterTargetService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = waterTargetService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		WaterTargetEntity waterTarget = waterTargetService.getById(id);

        return R.ok().put("waterTarget", waterTarget);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody WaterTargetEntity waterTarget){
		waterTargetService.save(waterTarget);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody WaterTargetEntity waterTarget){
		waterTargetService.updateById(waterTarget);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		waterTargetService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
